Send Invitation
POST /v1/invitations/
POST
/v1/invitations/
Invite a user to join this tenant’s WorkOS organization.
Tenant admin only. WorkOS sends the invite email; when the user accepts, WorkOS fires organization_membership.created which syncs their record into our DB.
Request Body required
Section titled “Request Body required ” InvitationSendRequest
Request body for sending a WorkOS invitation to join a tenant.
object
email
required
Email
Email address of the person to invite.
string format: email
role_slug
Role Slug
WorkOS role slug to assign. Defaults to ‘member’.
string
expires_in_days
Expires In Days
How many days until the invitation expires.
integer
Responses
Section titled “ Responses ”Successful Response
InvitationRead
Projection of a WorkOS invitation object.
object
id
required
Id
string
email
required
Email
string
state
required
State
string
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context